SoProfileCoordinateElement(3)

NAME
SoProfileCoordinateElement - The SoProfileCoordinateElement class is yet to be documented.

SYNOPSIS

#include <Inventor/elements/SoProfileCoordinateElement.h>

Inherits SoReplacedElement.

  Public Member Functions
virtual void init (SoState *state)
int32_t getNum (void) const
const SbVec2f & get2 (const int index) const
const SbVec3f & get3 (const int index) const
SbBool is2D (void) const
const SbVec2f * getArrayPtr2 (void) const
const SbVec3f * getArrayPtr3 (void) const

  Static Public Member Functions
static SoType getClassTypeId (void)
static int getClassStackIndex (void)
static void * createInstance (void)
static void initClass (void)
static void set2 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec2f *const coords)
static void set3 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec3f *const coords)
static const SoProfileCoordinateElement * getInstance (SoState *const state)
static SbVec2f getDefault2 (void)
static SbVec3f getDefault3 (void)

  Protected Member Functions
virtual ~SoProfileCoordinateElement ()

  Protected Attributes
int32_t numCoords
const SbVec2f * coords2
const SbVec3f * coords3
SbBool coordsAre2D

  Additional Inherited Members

Detailed Description

The SoProfileCoordinateElement class is yet to be documented. FIXME: write doc.

Constructor & Destructor Documentation

  SoProfileCoordinateElement::~SoProfileCoordinateElement (void) [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoProfileCoordinateElement::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  int SoProfileCoordinateElement::getClassStackIndex (void) [static]
This static method returns the state stack index for the class.

  void * SoProfileCoordinateElement::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  void SoProfileCoordinateElement::initClass (void) [static]
Initialize relevant common data for all instances, like the type system.

  void SoProfileCoordinateElement::init (SoState * state) [virtual]
This function initializes the element type in the given SoState. It is called for the first element of each enabled element type in SoState objects.

Reimplemented from SoReplacedElement.

  void SoProfileCoordinateElement::set2 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec2f *const coords) [static]
Sets the profile coordinates.

  void SoProfileCoordinateElement::set3 (SoState *const state, SoNode *const node, const int32_t numCoords, const SbVec3f *const coords) [static]
Sets the profile coordinates.

  const SoProfileCoordinateElement * SoProfileCoordinateElement::getInstance (SoState *const state) [static]
Returns the current element.

  int32_t SoProfileCoordinateElement::getNum (void) const
Returns the number of profile coordinates in this element.

  const SbVec2f & SoProfileCoordinateElement::get2 (const int index) const
Returns the index'th 2D coordinate.

See also
    is2D()

  const SbVec3f & SoProfileCoordinateElement::get3 (const int index) const
Returns the index'th 3D coordinate.

See also
    is2D()

  SbBool SoProfileCoordinateElement::is2D (void) const
Returns if this element contains 2D coordinates.

  SbVec2f SoProfileCoordinateElement::getDefault2 (void) [static]
Returns the default 2D coordinate.

  SbVec3f SoProfileCoordinateElement::getDefault3 (void) [static]
Returns the default 3D coordinate.

  const SbVec2f * SoProfileCoordinateElement::getArrayPtr2 (void) const
Returns a pointer to the 2D coordinates.

  const SbVec3f * SoProfileCoordinateElement::getArrayPtr3 (void) const
Returns a pointer to the 3D coordinates.

Member Data Documentation

  SoProfileCoordinateElement::numCoords [protected]
FIXME: write doc.

  SoProfileCoordinateElement::coords2 [protected]
FIXME: write doc.

  SoProfileCoordinateElement::coords3 [protected]
FIXME: write doc.

  SoProfileCoordinateElement::coordsAre2D [protected]
FIXME: write doc.

Author

Generated automatically by Doxygen for Coin from the source code.